Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06150 Core Minor Always Mar 5, 2016, 20:21 Apr 3, 2016, 19:17
Tester Iaspis View Status Public Platform MAME (Official Binary)
Assigned To Resolution Fixed OS Windows Vista/7/8 (64-bit)
Status [?] Resolved Driver
Version 0.171 Fixed in Version 0.172 Build Normal
Summary 06150: LUA error message when MAME folder is in a dir containing non-English characters
Description If you extract and create the MAME folder inside in another folder whose name contains non-English characters, a LUA error message pops up (see attached picture). After that, MAME runs fine.
Steps To Reproduce As mentioned above
Additional Information
Flags
Regression Version 0.171
Affected Sets / Systems
Attached Files
jpg file icon mame error.jpg (52,513 bytes) Mar 5, 2016, 20:21 Uploaded by Iaspis
Iaspis
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.12484
Iaspis
Tester
Mar 28, 2016, 15:15
Happens in MAME 64-bit too. OSes tested on: Windows Vista 32-bit and Windows 10 64-bit
User avatar
No.12485
crazyc
Developer
Mar 28, 2016, 17:49
It looks like lua, in require() and elsewhere, uses fopen which on windows rejects utf8 and utf16. I'm not sure which is in that message box but either way, it's a problem.
User avatar
No.12497
Iaspis
Tester
Mar 30, 2016, 15:49
it seems fixed in 0.172
User avatar
No.12503
crazyc
Developer
Apr 1, 2016, 02:15
I'll close it then. Reopen if it you find it's still an issue.